Bug 1245765 - Review Request: python-traceback2 - Backport of the traceback module
Summary: Review Request: python-traceback2 - Backport of the traceback module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1245754
Blocks: 1201575
TreeView+ depends on / blocked
 
Reported: 2015-07-22 17:05 UTC by Michel Alexandre Salim
Modified: 2015-08-25 00:29 UTC (History)
2 users (show)

Fixed In Version: 1.4.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 13:08:10 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2015-07-22 17:05:28 UTC
Spec URL: https://salimma.fedorapeople.org/specs/python/python-traceback2.spec
SRPM URL: https://salimma.fedorapeople.org/specs/python/python-traceback2-1.4.0-1.fc22.src.rpm
Description: A backport of traceback to older supported Pythons.
Fedora Account System Username: salimma

Comment 1 Jerry James 2015-07-24 21:08:47 UTC
I will take this review.

Comment 2 Jerry James 2015-07-24 21:18:41 UTC
Just two minor issues:
1. The "rm -rf $RPM_BUILD_ROOT" at the top of %install is not necessary.
2. python-traceback2 Requires both python-linecache2 and python3-linecache2,
   and python3-traceback2 Requires neither.  You'll want to move
   "Requires: python3-linecache2" down into the python3 subpackage definition.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-traceback2-1.4.0-1.fc24.noarch.rpm
          python3-traceback2-1.4.0-1.fc24.noarch.rpm
          python-traceback2-1.4.0-1.fc24.src.rpm
python-traceback2.noarch: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python-traceback2.noarch: W: spelling-error Summary(en_US) traceback -> trace back, trace-back, racetrack
python-traceback2.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python-traceback2.noarch: W: spelling-error %description -l en_US traceback -> trace back, trace-back, racetrack
python3-traceback2.noarch: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python3-traceback2.noarch: W: spelling-error Summary(en_US) traceback -> trace back, trace-back, racetrack
python3-traceback2.noarch: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python3-traceback2.noarch: W: spelling-error %description -l en_US traceback -> trace back, trace-back, racetrack
python-traceback2.src: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
python-traceback2.src: W: spelling-error Summary(en_US) traceback -> trace back, trace-back, racetrack
python-traceback2.src: W: spelling-error %description -l en_US backport -> back port, back-port, backpacker
python-traceback2.src: W: spelling-error %description -l en_US traceback -> trace back, trace-back, racetrack
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-traceback2 (rpmlib, GLIBC filtered):
    python(abi)

python-traceback2 (rpmlib, GLIBC filtered):
    python(abi)
    python-linecache2
    python3-linecache2



Provides
--------
python3-traceback2:
    python3-traceback2

python-traceback2:
    python-traceback2



Source checksums
----------------
https://pypi.python.org/packages/source/t/traceback2/traceback2-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 05acc67a09980c2ecfedd3423f7ae0104839eccb55fc645773e1caa0951c3030
  CHECKSUM(SHA256) upstream package : 05acc67a09980c2ecfedd3423f7ae0104839eccb55fc645773e1caa0951c3030


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1245765 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Michel Alexandre Salim 2015-07-25 04:54:38 UTC
(In reply to Jerry James from comment #2)
> Just two minor issues:
> 1. The "rm -rf $RPM_BUILD_ROOT" at the top of %install is not necessary.
> 2. python-traceback2 Requires both python-linecache2 and python3-linecache2,
>    and python3-traceback2 Requires neither.  You'll want to move
>    "Requires: python3-linecache2" down into the python3 subpackage
> definition.
> 
Oops, fixed, thanks

Spec URL: https://salimma.fedorapeople.org/specs/python/python-traceback2.spec
SRPM URL: https://salimma.fedorapeople.org/specs/python/python-traceback2-1.4.0-2.fc22.src.rpm

Comment 4 Jerry James 2015-07-25 15:31:01 UTC
Looks good.  This package is APPROVED.

Comment 5 Jerry James 2015-07-25 15:31:42 UTC
Dang, wrong flag value.  Sorry about that.

Comment 6 Michel Alexandre Salim 2015-07-26 03:22:22 UTC
No problem, and thanks!

New Package SCM Request
=======================
Package Name: python-traceback2
Short Description: Backport of the traceback module
Upstream URL: https://github.com/testing-cabal/traceback2
Owners: salimma
Branches: f21 f22 f23 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-07-27 19:21:02 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-07-28 16:00:07 UTC
python-traceback2-1.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-traceback2-1.4.0-2.fc21

Comment 9 Fedora Update System 2015-07-28 16:00:24 UTC
python-traceback2-1.4.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-traceback2-1.4.0-2.fc22

Comment 10 Fedora Update System 2015-07-30 00:37:35 UTC
Package python-traceback2-1.4.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-traceback2-1.4.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12053/python-traceback2-1.4.0-2.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-08-07 13:08:10 UTC
python-traceback2-1.4.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-08-07 13:08:15 UTC
python-traceback2-1.4.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-07 19:03:28 UTC
python-traceback2-1.4.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-traceback2-1.4.0-2.el7

Comment 14 Fedora Update System 2015-08-25 00:29:20 UTC
python-traceback2-1.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.